package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.CarNoBean;
import cn.net.cpzslibs.prot.handset.bean.res.YunCarNumberBean;

public interface CarNoDal {
	void insertOnlineCarNoList(List<YunCarNumberBean> list);
	
	boolean hasExistCarNo(String carNo);
	
	void deleteAllCarNo();
	
	List<CarNoBean> search(String condition);
	
	List<CarNoBean> queryAllCarNo();
	
	CarNoBean getCarNoBean(Cursor c);

}
